#
# Copyright 2002-2009 Free Software Foundation
#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 3, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id:$

import  wx

class PrintDialog(wx.Panel):

    def __init__(self):
        app = wx.App()
        frame = wx.Frame(None, -1)
        wx.Panel.__init__(self, frame, -1)
        data = wx.PrintDialogData()

        #~ data.EnableSelection(True)
        #~ data.EnablePrintToFile(True)
        #~ data.EnablePageNumbers(True)
        #~ data.SetMinPage(1)
        #~ data.SetMaxPage(5)
        #~ data.SetAllPages(True)

        dlg = wx.PrintDialog(self, data)

        self.printer = None
        if dlg.ShowModal() == wx.ID_OK:
            data = dlg.GetPrintDialogData()
            self.printer = data.GetPrintData().GetPrinterName()
        dlg.Destroy()
